<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateList Method (IEdmBatchListing)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchListing Interface : CreateList Method (IEdmBatchListing)

Visual Basic
C#
C++/CLI

bsColumnSetName
  Empty string, column set name returned by IEdmBatchListing::GetColumnSetNames, or a list of variable names separated by a newline character and starting with a newline character (e.g., "\nAuthor\nProject\nDate")

ppoColumns
  Array of EdmListCol structures; one structure for each column in the column set; empty array if bsColumnSetName is an empty string

Obsolete. Superseded by IEdmBatchListing2::CreateListEx .

# Syntax

Visual Basic |
--- | ---

    Sub CreateList( _
       ByVal bsColumnSetName As System.String, _
       ByRef ppoColumns() As EdmListCol _
    )

C# |
--- | ---

    void CreateList(
       System.string bsColumnSetName,
       out EdmListCol[] ppoColumns
    )

C++/CLI |
--- | ---

    void CreateList(
    &   System.String^ bsColumnSetName,
    &   [Out] array<EdmListCol>^ ppoColumns
    )

#### Parameters

bsColumnSetName
  Empty string, column set name returned by IEdmBatchListing::GetColumnSetNames, or a list of variable names separated by a newline character and starting with a newline character (e.g., "\nAuthor\nProject\nDate")
ppoColumns
  Array of EdmListCol structures; one structure for each column in the column set; empty array if bsColumnSetName is an empty string

# Remarks

After calling this method, call IEdmBatchListing::GetFiles and IEdmBatchListing::GetFolders.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchListing Interface
IEdmBatchListing Members

# Availability

Version 6.4 of SOLIDWORKS PDM Professional